org.apache.ignite.spi.systemview

## Interface SystemViewExporterSpi

All Superinterfaces:
  IgniteSpi

All Known Implementing Classes:
  AbstractSystemViewExporterSpi, JmxSystemViewExporterSpi

    public interface SystemViewExporterSpi
    extends IgniteSpi

Exporter of system view to the external recepient. Expected, that each implementation would support some specific protocol. Implementation of this Spi should work by pull paradigm. So after start SPI should respond to some incoming request. HTTP servlet or JMX bean are good examples of expected implementations.

See Also:
  `ReadOnlySystemViewRegistry`, `SystemView`, `SystemViewRowAttributeWalker`

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `setExportFilter(Predicate<SystemView<?>> filter)` Sets export filter.
`void` `setSystemViewRegistry(ReadOnlySystemViewRegistry registry)` Sets system view registry that SPI should export.

### Methods inherited from interface org.apache.ignite.spi.IgniteSpi

`getName, getNodeAttributes, onClientDisconnected, onClientReconnected, onContextDestroyed, onContextInitialized, spiStart, spiStop`

### Method Detail

#### setSystemViewRegistry

    void setSystemViewRegistry(ReadOnlySystemViewRegistry registry)

Sets system view registry that SPI should export. This method called before `IgniteSpi.spiStart(String)`.

Parameters:
  `registry` - System view registry.

#### setExportFilter

    void setExportFilter(Predicate<SystemView<?>> filter)

Sets export filter. System view that not satisfy `filter` shouldn't be exported.

Parameters:
  `filter` - Filter.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.11.0
Release Date | : September 11 2021